#### Beyond Linux® From Scratch (System V Edition) - Version 12.3

### Chapter 17. Networking Libraries

- Prev

  libtirpc-1.3.6

- Next

  nghttp2-1.64.0

- Up
- Home

# neon-0.34.0

## Introduction to neon

neon is an HTTP and WebDAV client library, with a C interface.

This package is known to build and work properly using an LFS 12.3 platform.

### Package Information

- Download (HTTP): https://notroj.github.io/neon/neon-0.34.0.tar.gz

- Download MD5 sum: 8796f3ef99998f21465f9135b26afd40

- Download size: 908 KB

- Estimated disk space required: 8.7 MB (additional 52 MB for tests)

- Estimated build time: 0.1 SBU (add 0.1 SBU for tests)

### neon Dependencies

#### Optional

GnuTLS-3.8.9, libxml2-2.13.6, MIT Kerberos V5-1.21.3, nss-3.108 (for some tests), xmlto-0.0.29 (to regenerate the documentation), libproxy, and PaKChoiS

## Installation of neon

Install neon by running the following commands:

    ./configure --prefix=/usr    \
                --with-ssl       \
                --enable-shared  \
                --disable-static &&
    make

To test the results, issue: make check.

If you wish to regenerate the documentation, issue:

    make docs

Now, as the `root` user:

    make install

## Command Explanations

`--with-ssl`: This switch enables SSL support using OpenSSL. GnuTLS can be used instead, by passing `--with-ssl=gnutls` and `--with-ca-bundle=/etc/pki/tls/certs/ca-bundle.crt` to the configure script.

`--disable-static`: This switch prevents installation of static versions of the libraries.

## Contents

Installed Program: neon-config
Installed Library: libneon.so
Installed Directories: /usr/include/neon and /usr/share/doc/neon-0.34.0

### Short Descriptions

neon-config | is a script that provides information about an installed copy of the neon library
`libneon.so` | is used as a high-level interface to common HTTP and WebDAV methods

- Prev

  libtirpc-1.3.6

- Next

  nghttp2-1.64.0

- Up
- Home